Bug Hunting Session
Bug 38703 - Indexe(s) 'Update' or change deletes 'undo - redo' stack
Summary: Indexe(s) 'Update' or change deletes 'undo - redo' stack
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.3.0
Keywords:
: 99160 (view as bug list)
Depends on:
Blocks: TableofContents-Indexes Undo-Redo
  Show dependency treegraph
 
Reported: 2011-06-26 23:27 UTC by Rainer Bielefeld Retired
Modified: 2019-05-07 19:47 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample document, pls see original report! (10.93 KB, application/vnd.oasis.opendocument.text)
2011-06-26 23:27 UTC, Rainer Bielefeld Retired
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Rainer Bielefeld Retired 2011-06-26 23:27:27 UTC
Created attachment 48452 [details]
Sample document, pls see original report!

I saw that with a Daliy Build nearby "LibreOffice 3.4.1RC1  – WIN7  Home Premium  (64bit) English UI [OOO340m1 (Build:101)]".

Steps to Reproduce: 
1. Open attached "DeleteStackSample.odt"
2. Type additional "a b c"
3. press undo button 1x
4. Click some times the links in the index
5. Menu 'Tools > Update > All'
   Expected: more or less nothing
   Actual: Undo / Redo icons greyed out, stack empty

Additionally Green Navigation arrow icon and undo icon become greyed out, what seems to stay that their stacks became empty. But the effect is temporary, when you click somewhere into the document the Green arrow reappears.

The reported effect also is visible with menu 'Tools > Update > Indexes', but not with 'Tools > Update > Fields'
The effect is not reproducible if the document does not contain an index.
Comment 1 pierre-yves samyn 2011-06-27 12:08:10 UTC
Hello

[Reproducible] (all points) with XP - LibO 3.4.1 RC1 on x86-32

Best regards. PYS.
Comment 2 Rainer Bielefeld Retired 2011-06-28 01:11:40 UTC
@Cédric:
Please feel free to reassign if it’s not your area!
Comment 3 Björn Michaelsen 2011-12-23 13:25:17 UTC
Since all new unconfirmed bugs start in state UNCONFIRMED now and old unconfirmed bugs were moved to NEEDINFO with a explanatory comment, all bugs promoted above those bug states to NEW and later are automatically confirmed making the CONFIRMED whiteboard status redundant. Thus it will be removed.
Comment 4 A (Andy) 2013-05-05 12:14:34 UTC
reproducible with LO 4.0.2.2 (Win7 Home, 64bit)
Comment 5 A (Andy) 2013-05-05 12:22:52 UTC
one more remark: the attachment in the Attachments Section is not possible to download due to a missing file type, only the attachment in the Comments Section is possible to download
Comment 6 bfoman (inactive) 2014-02-20 18:28:18 UTC
This bug lost its owner - back to NEW.
Comment 7 Joel Madero 2015-05-02 15:43:49 UTC Comment hidden (obsolete)
Comment 8 Gordo 2015-05-15 00:19:15 UTC
Reproducible.

You don't even need to click on any links.  An empty TOC and right click Update/Index Table does the trick.

Windows Vista 64
Version: 4.4.3.2
Build ID: 88805f81e9fe61362df02b9941de8e38a9b5fd16
Comment 9 Oliver Specht (CIB) 2016-04-12 11:36:26 UTC
*** Bug 99160 has been marked as a duplicate of this bug. ***
Comment 10 Koen 2016-04-13 19:33:48 UTC
Reproduced for Version: 5.1.1.2 on Ubuntu 14.04 (Build ID: 1:5.1.1~rc2-0ubuntu1~trusty0)
Comment 11 QA Administrators 2018-12-04 03:47:35 UTC Comment hidden (obsolete)
Comment 12 Koen 2018-12-13 08:38:26 UTC
Confirming this bug:
Version: 6.0.6.2
Build ID: 1:6.0.6-0ubuntu0.18.04.1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-GB (en_GB.UTF-8); Calc: group

As noted before, Tools > Update > Fields doesn't empty undo-redo stack, all other methods (Tools > Update, as well as right-click and selecting 'Update index') do empty the stack.
Comment 13 Commit Notification 2019-04-26 13:56:44 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/41df42a8dc758571dd7635c358a09bf412051649%5E%21

tdf#38703 i#42807 tdf#123313 sw: add Undo of ToX Update

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2019-04-26 13:56:56 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/4f0b568ef35353b276ae560fb43502b6f6b2bfdb%5E%21

tdf#38703 i#42807 sw: stop clearing Undo stack on ToX Update

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 15 Michael Stahl (CIB) 2019-04-26 14:07:11 UTC
fixed on master